import express from "express";
import { rolesEndpointsRouter } from "./roles-endpoint.route";
import { endpointsRouter } from "./endpoint.route";
import { socialNetworksRouter } from "./social-network/social-network.route";
import { socialNetworkInstagramsRouter } from "./social-network/social-network-instagram.route";
import { socialNetworkWhatsappsRouter } from "./social-network/social-network-whatsapp.route";
import { socialNetworkSmssRouter } from "./social-network/social-network-sms.route";
import { socialNetworkEmailsRouter } from "./social-network/social-network-email.route";
import { socialNetworkProvidersRouter } from "./social-network/social-network-provider.route";
import { socialNetworkConnectsRouter } from "./social-network/social-network-connect.route";

const apiRoute = express.Router();

// ROLES ENDPOINTS
apiRoute.use("/roles-endpoints", rolesEndpointsRouter);
// ROLES ENDPOINTS

// ENDPOINTS
apiRoute.use("/endpoints", endpointsRouter);
// ENDPOINTS

// SOCIAL NETWORKS
apiRoute.use("/social-networks", socialNetworksRouter);
socialNetworksRouter.use("/connects", socialNetworkConnectsRouter);
socialNetworksRouter.use("/instagrams", socialNetworkInstagramsRouter);
socialNetworksRouter.use("/whatsapps", socialNetworkWhatsappsRouter);
socialNetworksRouter.use("/sms", socialNetworkSmssRouter);
socialNetworksRouter.use("/emails", socialNetworkEmailsRouter);
socialNetworksRouter.use("/providers", socialNetworkProvidersRouter);
// SOCIAL NETWORKS

export const apiRouter = apiRoute;
